##
##  tcpreplay.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2016 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tcpreplay
Summary:      TCP Packet Replaying
URL:          http://tcpreplay.sourceforge.net/
Vendor:       Matt Bing, Aaron Turner
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Capturing
License:      BSD-style
Version:      4.1.1
Release:      20160112

#   list of sources
Source0:      http://download.sourceforge.net/sourceforge/tcpreplay/tcpreplay-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, tcpdump
PreReq:       OpenPKG, openpkg >= 20100101, tcpdump
BuildPreReq:  libnet, libpcap, libpcapnav
PreReq:       libnet, libpcap, libpcapnav

%description
    Tcpreplay is a tool to replay saved tcpdump(8) or snoop(8) files at
    arbitrary speeds.

%track
    prog tcpreplay = {
        version   = %{version}
        url       = http://sourceforge.net/projects/tcpreplay/files/
        regex     = tcpreplay-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --with-libnet=%{l_prefix} \
        --with-libpcap=%{l_prefix} \
        --with-pcapnav-config=%{l_prefix}/bin/pcapnav-config \
        --with-tcpdump=%{l_prefix}/sbin/tcpdump
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/man2html
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

